Bug 526204 - Review Request: ucs-miscfixed-fonts selected set of bitmap fonts
Review Request: ucs-miscfixed-fonts selected set of bitmap fonts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-29 05:27 EDT by Pravin Satpute
Modified: 2009-11-25 23:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 23:46:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nicolas.mailhot: fedora‑review+
a.badger: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pravin Satpute 2009-09-29 05:27:59 EDT
SPEC URL : http://pravins.fedorapeople.org/bitmap-fonts/ucs-fixed-fonts.spec

SRPM URL :
http://pravins.fedorapeople.org/bitmap-fonts/ucs-fixed-fonts-0.3-1.fc11.src.rpm

This package is got separated from bitmap-fonts package as per merge review in bug 481068
Comment 1 Nicolas Mailhot 2009-10-05 16:59:04 EDT
Full review:

1. Please add a fontconfig file (fixed is monospace, that's easy)

2. Please correct the licensing tag, I doubt fixed uses 3 different licenses

3. Please remove 
Requires(pre): fontconfig
BuildRequires: xorg-x11-font-utils

(or tell me where they are used)

4. Please add a %build section (even if empty). rpm does not like specs without %build

5. Please put the URL in URL not in description (and limit your description line lenght to 80c)

6. Please compress the resulting pcf files

7. Why do you ship the Lucida license file ?

8. It would be neat to edit the readme so it does not references fonts not present in the rpm

9. it seems fontconfig reads the family name in the fonts as "MiscFixed". Please rename yout package ucs-miscfixed-fonts

And that should be all
Comment 2 Pravin Satpute 2009-10-08 00:46:38 EDT
Done all the changes, not much sure about license, please guide me if any problem

SPEC URL : http://pravins.fedorapeople.org/ucs-miscfixed-fonts.spec

SRPM URL : http://pravins.fedorapeople.org/ucs-miscfixed-fonts-0.3-2.fc11.src.rpm
Comment 4 Nicolas Mailhot 2009-10-11 16:52:02 EDT
1. 55 as fontconfig priority will preempt the default distro monospace font, don't do that.

⇒ Please read
/usr/share/fontconfig/templates/fontconfig-priorities.txt

2. it seems it does need xorg-x11-font-utils as build requires after all
+ make install DESTDIR=/builddir/build/BUILDROOT/ucs-miscfixed-fonts-0.3-3.fc13.x86_64
sed 's/\<Fixed\>/MiscFixed/' < 4x6.bdf > 4x6.bdf.tmp && bdftopcf 4x6.bdf.tmp > 4x6.pcf && rm 4x6.bdf.tmp || ( rm 4x6.bdf.tmp 4x6.pcf && false )
/bin/sh: bdftopcf: command not found

⇒ please check your package builds in mock or as a koji scratch build before submitting

The rest seems ok. Though since xorg seems to maintain and keep updating its own copy of Markus Kuhn's fonts, I suspect its version will be the better one to keep long term

http://lists.freedesktop.org/archives/xorg/2009-October/047606.html
Comment 5 Pravin Satpute 2009-10-20 03:01:47 EDT
how about 66 as fontconfig priority?
Comment 6 Nicolas Mailhot 2009-10-20 03:59:30 EDT
66 should be safe enough
Comment 8 Nicolas Mailhot 2009-10-22 18:07:38 EDT
Please remove the \ in the %description

Nothing else seems obviously wrong to me

ㅌㅌㅌ APPROVED ㅌㅌㅌ

Thank you for cleaning up the packaging of those old files. Should you want to register them in the legacy core font system, you can take a look at  bug #528675 which is similar (but that's no obligation, core fonts need to die)

⇒ REASSIGNING
Comment 9 Pravin Satpute 2009-10-27 11:51:13 EDT
can i put cvs request here now?
how to register these fonts in legacy core font system?
Comment 10 Nicolas Mailhot 2009-10-27 12:02:22 EDT
(In reply to comment #9)
> can i put cvs request here now?

the fedora-review flag was set to yes

> how to register these fonts in legacy core font system?  

take a look at  bug #528675
Comment 11 Pravin Satpute 2009-11-08 18:22:45 EST
New Package CVS Request
=======================
Package Name: ucs-fixed-fonts
Short Description: Selected set of bitmap fonts
Owners: pravins
Branches:
InitialCC: fonts-sig
Comment 12 Kevin Fenzi 2009-11-10 22:55:12 EST
cvs done.
Comment 13 Pravin Satpute 2009-11-10 23:04:53 EST
Thanks Kevin for CVS work
i am waiting for bitmap-fonts merge-review bug once that will also over
i will build both these package simultaneously.
Comment 14 Pravin Satpute 2009-11-18 09:34:00 EST
oops, looks like i have done cvs request with wrong package name :(
really sorry for that
it should be usc-miscfixed-fonts

New Package CVS Request
=======================
Package Name: ucs-miscfixed-fonts
Short Description: Selected set of bitmap fonts
Owners: pravins
Branches:
InitialCC: fonts-sig  

can we do something now?
Comment 15 Pravin Satpute 2009-11-23 01:35:50 EST
should i raise cvs-request flag again?
Comment 16 Kevin Fenzi 2009-11-23 21:22:47 EST
Yes, please do reset the flag again if you have a cvs request. 
Don't set needinfo on me, as there are (at least in theory) a pool of folks who do these requests.
Comment 17 Pravin Satpute 2009-11-23 23:47:19 EST
(In reply to comment #16)
> Don't set needinfo on me, as there are (at least in theory) a pool of folks who
> do these requests.  

sure, no next time 
thanks for setting flag for me
Comment 18 Toshio Ernie Kuratomi 2009-11-24 10:53:43 EST
rename done.
Comment 19 Pravin Satpute 2009-11-25 23:46:18 EST
built for rawhide :)
thanks nicholas, kevin and toshio for helping in completing new package process

Note You need to log in before you can comment on or make changes to this bug.